# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`vsphere_vm`](#vsphere_vm): Type representing a virtual machine in VMware vSphere.

### Tasks

* [`install_deps`](#install_deps): Installs aws-sdk and retries gem for the puppetlabs/aws module

## Resource types

### <a name="vsphere_vm"></a>`vsphere_vm`

Type representing a virtual machine in VMware vSphere.

#### Properties

The following properties are available in the `vsphere_vm` type.

##### `annotation`

A user provided description of the machine.

##### `cpus`

The number of CPUs to make available to the machine.

##### `ensure`

Valid values: `present`, `absent`, `running`, `reset`, `suspended`, `stopped`

Specifies the basic state of the virtual machine

Default value: `present`

##### `extra_config`

Additional configuration information for the virtual machine.

##### `memory`

The amount of memory in MB to use for the machine.

##### `resource_pool`

The name of the resource pool with which to associate the virtual machine.

##### `template`

Valid values: ``true``, ``false``

Whether or not this machine is a template.

Default value: `false`

#### Parameters

The following parameters are available in the `vsphere_vm` type.

* [`create_command`](#create_command)
* [`customization_spec`](#customization_spec)
* [`datastore`](#datastore)
* [`delete_from_disk`](#delete_from_disk)
* [`linked_clone`](#linked_clone)
* [`max_tries`](#max_tries)
* [`name`](#name)
* [`provider`](#provider)
* [`source`](#source)
* [`source_type`](#source_type)

##### <a name="create_command"></a>`create_command`

Command to run on the machine when it is first created.

##### <a name="customization_spec"></a>`customization_spec`

Applies this pre-existing customization specification at clone time to the newly built VM.

##### <a name="datastore"></a>`datastore`

The name of the datastore with which to associate the virtual machine. This is only appliciable when cloning a VM.

##### <a name="delete_from_disk"></a>`delete_from_disk`

Valid values: ``true``, ``false``

Whether or not to delete this VM from disk or unregister it from inventory.

Default value: ``true``

##### <a name="linked_clone"></a>`linked_clone`

Valid values: ``true``, ``false``

When creating the machine whether it should be a linked clone or not.

Default value: ``false``

##### <a name="max_tries"></a>`max_tries`

Maxim number of retries to connect to the newly created machine.

##### <a name="name"></a>`name`

namevar

The name of the virtual machine.

##### <a name="provider"></a>`provider`

The specific backend to use for this `vsphere_vm` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### <a name="source"></a>`source`

The path to an existing machine or template to use as the base for the new machine or the name of the folder of the vm
to register.

##### <a name="source_type"></a>`source_type`

Valid values: `vm`, `template`, `folder`

The type of the source provided. Acceptable values are vm, template, or folder.

Default value: `vm`

## Tasks

### <a name="install_deps"></a>`install_deps`

Installs aws-sdk and retries gem for the puppetlabs/aws module

**Supports noop?** false

